/**
 * Elements JS
 *
 * Please do not edit this file. This file is part of the Cyber Chimps Framework and all modifications
 * should be made in a child theme.
 *
 * @category Cyber Chimps Framework
 * @package  Framework
 * @since    1.0
 * @author   CyberChimps
 * @license  http://www.opensource.org/licenses/gpl-license.php GPL v3.0 (or later)
 * @link     http://www.cyberchimps.com/
 */

/*	Boxes element make all the same height and make whole box a link */
jQuery(window).ready(function ($) {

	if ($(window).width() > 767) {
		setTimeout(function () {
			$('#boxes_container .boxes').each(function () {
				$(this).children('.box').css('height', $(this).height() - 20)
			});
		}, 500);
	}

});

function mycarousel_initCallback(carousel) {
	// Disable autoscrolling if the user clicks the prev or next button.
	carousel.buttonNext.bind('click', function () {
		carousel.startAuto(0);
	});

	carousel.buttonPrev.bind('click', function () {
		carousel.startAuto(0);
	});

	// Pause autoscrolling if the user moves with the cursor over the clip.
	carousel.clip.hover(function () {
		carousel.stopAuto();
	}, function () {
		carousel.startAuto();
	});
};

/*	Initiating jcarousel while page is ready	*/
jQuery(document).ready(function () {
	jQuery('#mycarousel').jcarousel({
		vertical: true,
		auto: 2,
		wrap: 'last',
		initCallback: mycarousel_initCallback
	});
});

/* ************** JS for featured post element *************** */

jQuery(document).ready(function () {
	jQuery('#featured_post ul li:first').show();

	jQuery('#featured_list ul li').click(function (e) {
		var id = jQuery(this).attr('id');
		jQuery('#featured_post li').css("display", "none");
		jQuery('#featured_post li.' + id).fadeIn('slow');

	});
});

/* ********** JS for carousle starts **************** */
jQuery(document).ready(function ($) {

	// Initializing elastislide
	$("#carousel").elastislide({
		imageW: 140,
		margin: 20,
		minItems: 2
	});

	// Fix of image stacking issue in small screen
	$(window).triggerHandler('resize.elastislide');
	$('#carousel').elastislide({
		imageW: 140
	});
	$(window).triggerHandler('resize.elastislide');

});
/* ********** JS for carousle ends **************** */