/**
 * Magazine
 *
 * Magazine Element Javascript uses masonry.js
 *
 * Please do not edit this file. This file is part of the CyberChimps Framework and all modifications
 * should be made in a child theme.
 *
 * @category CyberChimps Framework
 * @package  Framework
 * @since    1.0
 * @author   CyberChimps
 * @license  http://www.opensource.org/licenses/gpl-license.php GPL v3.0 (or later)
 * @link     http://www.cyberchimps.com/
 */

jQuery(window).load(function () {

	var container = jQuery("#magazine #row_box");
	var masonry_options = function () {
		container.masonry({
			columnWidth: "#column_width",
			itemSelector: ".box-post",
			gutter: "#gutter_width",
			isAnimated: true,
			animationOptions: {
				duration: 750,
				easing: 'linear',
				queue: false
			}
		});
	};

	/* Wait for images to load */
	jQuery('img').load(function(){
		masonry_options();
	});

	masonry_options();
});