<?php
/**
 * Title: Profile Element
 *
 * Description: Displays personal information like name, proffesion, photo and many more.
 *
 * Please do not edit this file. This file is part of the Cyber Chimps Framework and all modifications
 * should be made in a child theme.
 * FIXME: POINT USERS TO DOWNLOAD OUR STARTER CHILD THEME AND DOCUMENTATION
 *
 * @category Cyber Chimps Framework
 * @package  Framework
 * @author   CyberChimps
 * @license  http://www.opensource.org/licenses/gpl-license.php GPL v3.0 (or later)
 * @link     http://www.cyberchimps.com/
 **/

// Don't load directly
if( !defined( 'ABSPATH' ) ) {
	die( '-1' );
}

add_action( 'profile', 'cyberchimps_profile' );

// Defining contents of the profile element
function cyberchimps_profile() {

	/********* Getting profile options starts **********/

	// If element is on page
	if( is_page() ) {
		global $post;
		$profile_name       = get_post_meta( $post->ID, 'profile_name', true );
		$profile_picture    = get_post_meta( $post->ID, 'profile_picture', true );
		$profile_profession = get_post_meta( $post->ID, 'profile_profession', true );
		$profile_about      = get_post_meta( $post->ID, 'profile_about', true );
		$profile_location   = get_post_meta( $post->ID, 'profile_location', true );
		$profile_phone      = get_post_meta( $post->ID, 'profile_phone', true );
		$profile_email      = get_post_meta( $post->ID, 'profile_email', true );
		$profile_website    = get_post_meta( $post->ID, 'profile_website', true );

		// Get social toggles
		$twitter_display    = get_post_meta( $post->ID, 'profile_twitter', true );
		$facebook_display   = get_post_meta( $post->ID, 'profile_facebook', true );
		$google_display     = get_post_meta( $post->ID, 'profile_google', true );
		$flickr_display     = get_post_meta( $post->ID, 'profile_flickr', true );
		$pinterest_display  = get_post_meta( $post->ID, 'profile_pinterest', true );
		$linkedin_display   = get_post_meta( $post->ID, 'profile_linkedin', true );
		$youtube_display    = get_post_meta( $post->ID, 'profile_youtube', true );
		$googlemaps_display = get_post_meta( $post->ID, 'profile_googlemaps', true );
		$email_display      = get_post_meta( $post->ID, 'profile_email_id', true );
		$rss_display        = get_post_meta( $post->ID, 'profile_rss', true );

		// Get social URL
		$twitter_url    = get_post_meta( $post->ID, 'profile_twitter_url', true );
		$facebook_url   = get_post_meta( $post->ID, 'facebook_url', true );
		$google_url     = get_post_meta( $post->ID, 'profile_google_url', true );
		$flickr_url     = get_post_meta( $post->ID, 'profile_flickr_url', true );
		$pinterest_url  = get_post_meta( $post->ID, 'profile_pinterest_url', true );
		$linkedin_url   = get_post_meta( $post->ID, 'profile_linkedin_url', true );
		$youtube_url    = get_post_meta( $post->ID, 'profile_youtube_url', true );
		$googlemaps_url = get_post_meta( $post->ID, 'profile_googlemaps_url', true );
		$email_url      = get_post_meta( $post->ID, 'profile_email_id_url', true );
		$rss_url        = get_post_meta( $post->ID, 'profile_rss_url', true );
	}

	//If element is on blog
	elseif( is_home() ) {
		$profile_name       = cyberchimps_get_option( 'profile_name' );
		$profile_picture    = cyberchimps_get_option( 'profile_picture' );
		$profile_profession = cyberchimps_get_option( 'profile_profession' );
		$profile_about      = cyberchimps_get_option( 'profile_about' );
		$profile_location   = cyberchimps_get_option( 'profile_location' );
		$profile_phone      = cyberchimps_get_option( 'profile_phone' );
		$profile_email      = cyberchimps_get_option( 'profile_email' );
		$profile_website    = cyberchimps_get_option( 'profile_website' );

		// Get social toggles
		$twitter_display    = cyberchimps_get_option( 'profile_twitter', 'checked' );
		$facebook_display   = cyberchimps_get_option( 'profile_facebook', 'checked' );
		$google_display     = cyberchimps_get_option( 'profile_google', 'checked' );
		$flickr_display     = cyberchimps_get_option( 'profile_flickr' );
		$pinterest_display  = cyberchimps_get_option( 'profile_pinterest' );
		$linkedin_display   = cyberchimps_get_option( 'profile_linkedin' );
		$youtube_display    = cyberchimps_get_option( 'profile_youtube' );
		$googlemaps_display = cyberchimps_get_option( 'profile_googlemaps' );
		$email_display      = cyberchimps_get_option( 'profile_email_id' );
		$rss_display        = cyberchimps_get_option( 'profile_rss' );

		// Get social URL
		$twitter_url    = cyberchimps_get_option( 'profile_twitter_url' );
		$facebook_url   = cyberchimps_get_option( 'profile_facebook_url' );
		$google_url     = cyberchimps_get_option( 'profile_google_url' );
		$flickr_url     = cyberchimps_get_option( 'profile_flickr_url' );
		$pinterest_url  = cyberchimps_get_option( 'profile_pinterest_url' );
		$linkedin_url   = cyberchimps_get_option( 'profile_linkedin_url' );
		$youtube_url    = cyberchimps_get_option( 'profile_youtube_url' );
		$googlemaps_url = cyberchimps_get_option( 'profile_googlemaps_url' );
		$email_url      = cyberchimps_get_option( 'profile_email_id_url' );
		$rss_url        = cyberchimps_get_option( 'profile_rss_url' );
	}

	/*********** Getting profile options ends ***************/

	/* Setting up social options for profile starts */
	$social_folder = ( cyberchimps_get_option( 'theme_backgrounds', 'default' ) ) ? cyberchimps_get_option( 'theme_backgrounds', 'default' ) : 'default';

	// Set path of social image folder.
	$social_image = get_template_directory_uri() . '/cyberchimps/lib/images/social/' . $social_folder;

	$output = '';

	if( !empty( $twitter_display ) ) {
		$output .= '<a href="' . esc_attr( $twitter_url ) . '" target="_blank"><img src="' . $social_image . '/twitter.png" alt="Twitter" /></a>';
	}

	if( !empty( $facebook_display ) ) {
		$output .= '<a href="' . esc_attr( $facebook_url ) . '" target="_blank"><img src="' . $social_image . '/facebook.png" alt="Facebook" /></a>';
	}

	if( !empty( $google_display ) ) {
		$output .= '<a href="' . esc_attr( $google_url ) . '" target="_blank"><img src="' . $social_image . '/gplus.png" alt="Google" /></a>';
	}

	if( !empty( $flickr_display ) ) {
		$output .= '<a href="' . esc_attr( $flickr_url ) . '" target="_blank"><img src="' . $social_image . '/flickr.png" alt="Flickr" /></a>';
	}

	if( !empty( $pinterest_display ) ) {
		$output .= '<a href="' . esc_attr( $pinterest_url ) . '" target="_blank"><img src="' . $social_image . '/pinterest.png" alt="Pinterest" /></a>';
	}

	if( !empty( $linkedin_display ) ) {
		$output .= '<a href="' . esc_attr( $linkedin_url ) . '" target="_blank"><img src="' . $social_image . '/linkedin.png" alt="LinkedIn" /></a>';
	}

	if( !empty( $youtube_display ) ) {
		$output .= '<a href="' . esc_attr( $youtube_url ) . '" target="_blank"><img src="' . $social_image . '/youtube.png" alt="YouTube" /></a>';
	}

	if( !empty( $googlemaps_display ) ) {
		$output .= '<a href="' . esc_attr( $googlemaps_url ) . '" target="_blank"><img src="' . $social_image . '/googlemaps.png" alt="Google Maps" /></a>';
	}

	if( !empty( $email_display ) ) {
		$output .= '<a href="mailto:' . esc_attr( $email_url ) . '"><img src="' . $social_image . '/email.png" alt="Email" /></a>';
	}

	if( !empty( $rss_display ) ) {
		$output .= '<a href="' . esc_attr( $rss_url ) . '" target="_blank"><img src="' . $social_image . '/rss.png" alt="RSS" /></a>';
	}

	/* Setting up social options for profile ends */

	/*********** Mark up for profile element starts ************/
	?>
	<div id="profile_container" class="row-fluid">
		<div id="profile" class="span12">
			<div class="profile-header profile">
				<div id="profile_pic">
					<img src="<?php echo $profile_picture; ?>"></img>
				</div>
				<h1><?php echo $profile_name; ?></h1>
				<h4><?php echo $profile_profession; ?></h4>

				<div id="profile_social">
					<div class="profile-icons">
						<?php echo $output; ?>
					</div>
				</div>
			</div>
			<div class="profile-about profile">
				<h3>About</h3>
				<?php echo $profile_about; ?>
			</div>
			<div class="profile-location profile">
				<h3>Location</h3>
				<?php echo $profile_location; ?>
			</div>
			<div class="profile-phone profile">
				<h3>Phone Number</h3>
				<?php echo $profile_phone; ?>
			</div>
			<div class="profile-email profile">
				<h3>Email Address</h3>
				<a href="<?php echo 'mailto:' . $profile_email; ?>">
					<?php echo $profile_email; ?>
				</a>
			</div>
			<div class="profile-website profile">
				<h3>Website Address</h3>
				<a target="_blank" href="<?php echo 'http://www.' . $profile_website; ?>">
					<?php echo $profile_website; ?>
				</a>
			</div>
		</div>
	</div>
	<?php
	/*********** Mark up for profile element ends *************/
}

?>