<?php
/**
 * Title: Shortcode[cc_popover]
 *
 * Description: Defines markup for shortcode [cc_popover], handles parameters passed in the shortcode.
 *
 * Please do not edit this file. This file is part of the Cyber Chimps Framework and all modifications
 * should be made in a child theme.
 *
 * @category Cyber Chimps Framework
 * @package  Framework
 * @since    1.0
 * @author   CyberChimps
 * @license  http://www.opensource.org/licenses/gpl-license.php GPL v3.0 (or later)
 * @link     http://www.cyberchimps.com/
 */

function cyberchimps_shortcodes_popover( $atts, $content = null ) {

	// Extract parameters passed in the shortcode
	extract( shortcode_atts( array(
		                         'name'     => 'cyberchimps_popover',
		                         'position' => 'top',
		                         'header'   => 'Popover Header',
		                         'text'     => 'Cyberchimps popover text'
	                         ), $atts ) );

	// Markup for popover
	$html = '<a id="' . $name . '" class="btn" data-content="' . $text . '" data-placement="' . $position . '"' .
		'data-toggle="popover" data-original-title="' . $header . '">' . do_shortcode( $content ) . '</a>';
	?>

	<!-- Trigger the popover -->
	<script>
		jQuery(function () {
			jQuery('#<?php echo $name; ?>').popover();
		});
	</script>

	<?php
	return $html;
}

add_shortcode( 'cc_popover', 'cyberchimps_shortcodes_popover' );
?>