<?php
/**
 * Theme Functions
 *
 * Please do not edit this file. This file is part of the CyberChimps Framework and all modifications
 * should be made in a child theme.
 *
 * @category CyberChimps Framework
 * @package  Framework
 * @since    1.0
 * @author   CyberChimps
 * @license  http://www.opensource.org/licenses/gpl-license.php GPL v3.0 (or later)
 * @link     http://www.cyberchimps.com/
 */

// Load text domain.
function cyberchimps_text_domain() {
	load_theme_textdomain( 'finepro', get_template_directory() . '/inc/languages' );
}
add_action( 'after_setup_theme', 'cyberchimps_text_domain' );

// Load Core
require_once( get_template_directory() . '/cyberchimps/init.php' );

if ( get_transient('cc_validate_user_details') === false)
{
	$cc_user_login_id = get_option("cc_account_user_details");

	if ( $cc_user_login_id != '' ) { 
		$username = $cc_user_login_id['username'];	$password = $cc_user_login_id['password'];

		require_once( get_template_directory() . '/cyberchimps/class-cc-updater.php');
		if(isset($username) && isset($password) ) {
			$ccuser = new CC_Updater($username, $password );
			$ccuser->validate();
			set_transient('cc_validate_user_details' , 'validate_user' , WEEK_IN_SECONDS);
		}
	}
}
// Notify user of theme update on "Updates" page in Dashboard.
$cc_user_account_status = get_option("cc_account_status");
if (isset ( $cc_user_account_status ) && $cc_user_account_status == 'found' ) {
require_once( get_template_directory() . '/inc/wp-updates-theme.php' );
new WPUpdatesThemeUpdater_367( 'http://wp-updates.com/api/2/theme', basename(get_template_directory()) );
}

// Set the content width based on the theme's design and stylesheet.
if( !isset( $content_width ) ) {
    $content_width = 640;
} /* pixels */

/**
 * Set theme up
 */
function cyberchimps_theme_setup() {
	//image size for the blog page
	add_image_size( 'blog-page', 1000, 600, true ); //830 pixels wide and 180 pixels tall
}
add_action( 'after_theme_setup', 'cyberchimps_theme_setup' );

function cyberchimps_add_site_info() {
    ?>
    <p>&copy; Company Name</p>
<?php
}

add_action( 'cyberchimps_site_info', 'cyberchimps_add_site_info' );

if( !function_exists( 'cyberchimps_comment' ) ) :
// Template for comments and pingbacks.
// Used as a callback by wp_list_comments() for displaying the comments.
    function cyberchimps_comment( $comment, $args, $depth ) {
        $GLOBALS['comment'] = $comment;
        switch( $comment->comment_type ) :
            case 'pingback' :
            case 'trackback' :
                ?>
                <li class="post pingback">
                <p><?php _e( 'Pingback:', 'finepro' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __( '(Edit)', 'finepro' ), ' ' ); ?></p>
                <?php
                break;
            default :
                ?>
                <li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
                    <article id="comment-<?php comment_ID(); ?>" class="comment hreview">
                        <footer>
                            <div class="comment-author reviewer vcard">
                                <?php echo get_avatar( $comment, 40 ); ?>
                                <?php printf( '%s <span class="says">' . __( 'says:', 'finepro' ) . '</span>', sprintf( '<cite class="fn">%s</cite>', get_comment_author_link() ) ); ?>
                            </div>
                            <!-- .comment-author .vcard -->
                            <?php if( $comment->comment_approved == '0' ) : ?>
                                <em><?php _e( 'Your comment is awaiting moderation.', 'finepro' ); ?></em>
                                <br/>
                            <?php endif; ?>

                            <div class="comment-meta commentmetadata">
                                <a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>" class="dtreviewed">
                                    <time pubdate datetime="<?php comment_time( 'c' ); ?>">
                                        <?php
                                        /* translators: 1: date, 2: time */
                                        printf( __( '%1$s at %2$s', 'finepro' ), get_comment_date(), get_comment_time() ); ?>
                                    </time>
                                </a>
                                <?php edit_comment_link( __( '(Edit)', 'finepro' ), ' ' );
                                ?>
                            </div>
                            <!-- .comment-meta .commentmetadata -->
                        </footer>

                        <div class="comment-content"><?php comment_text(); ?></div>

                        <div class="reply">
                            <?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
                        </div>
                        <!-- .reply -->
                    </article>
                    <!-- #comment-## -->

                <?php
                break;
        endswitch;
    }
endif; // ends check for cyberchimps_comment()

// core options customization Names and URL's
//Pro or Free
function cyberchimps_theme_check() {
    $level = 'pro';

    return $level;
}

//Theme Name
function cyberchimps_options_theme_name() {
    $text = 'Fine Pro';

    return $text;
}

//Doc's URL
function cyberchimps_options_documentation_url() {
    $url = 'http://cyberchimps.com/help/';

    return $url;
}

// Support Forum URL
function cyberchimps_options_support_forum() {
    $url = 'http://cyberchimps.com/forum/pro/fine/';

    return $url;
}

//Page Options Help URL
function cyberchimps_options_page_options_help() {
    $url = 'http://cyberchimps.com/element-how-tos/';

    return $url;
}

// Slider Options Help URL
function cyberchimps_options_slider_options_help() {
    $url = 'http://cyberchimps.com/faq/how-to-use-the-ifeature-pro-slider/';

    return $url;
}

add_filter( 'cyberchimps_current_theme_name', 'cyberchimps_options_theme_name', 1 );
add_filter( 'cyberchimps_documentation', 'cyberchimps_options_documentation_url' );
add_filter( 'cyberchimps_support_forum', 'cyberchimps_options_support_forum' );
add_filter( 'cyberchimps_page_options_help', 'cyberchimps_options_page_options_help' );
add_filter( 'cyberchimps_slider_options_help', 'cyberchimps_options_slider_options_help' );

// Help Section
function cyberchimps_options_help_header() {
    $text = 'Fine Pro';

    return $text;
}

function cyberchimps_options_help_sub_header() {
    $text = __( 'Fine Pro a Clean and Responsive Wordpress Theme', 'finepro' );

    return $text;
}

add_filter( 'cyberchimps_help_heading', 'cyberchimps_options_help_header' );
add_filter( 'cyberchimps_help_sub_heading', 'cyberchimps_options_help_sub_header' );

// Branding images and defaults

//theme specific skin options in array. Must always include option default
function cyberchimps_skin_color_options( $options ) {
    // Get path of image
    $imagepath = get_template_directory_uri() . '/inc/css/skins/images/';

    $options = array(
        'default' => $imagepath . 'default.png',
        'blue'    => $imagepath . 'blue.png',
        'green'   => $imagepath . 'green.png',
        'red'     => $imagepath . 'red.png',
        'orange'  => $imagepath . 'orange.png'
    );

    return $options;
}

add_filter( 'cyberchimps_skin_color', 'cyberchimps_skin_color_options', 1 );

// theme specific background images
function cyberchimps_background_image( $options ) {
    $imagepath = get_template_directory_uri() . '/cyberchimps/lib/images/';
    $options   = array(
        'none'  => $imagepath . 'backgrounds/thumbs/none.png',
        'noise' => $imagepath . 'backgrounds/thumbs/noise.png',
        'blue'  => $imagepath . 'backgrounds/thumbs/blue.png',
        'dark'  => $imagepath . 'backgrounds/thumbs/dark.png',
        'space' => $imagepath . 'backgrounds/thumbs/space.png'
    );

    return $options;
}

add_filter( 'cyberchimps_background_image', 'cyberchimps_background_image' );

/**
 * Sets header drag and drop defaults
 *
 * @param $orig array
 *
 * @return array
 */
function cyberchimps_header_drag_and_drop_defaults( $orig ) {
    // Just remove banner as there is no styling for this
    unset( $orig['cyberchimps_banner'] );

    return $orig;
}

add_filter( 'header_drag_and_drop_options', 'cyberchimps_header_drag_and_drop_defaults', 20 );

/**
 * Removes the banner section
 *
 * @param $orig array
 *
 * @return array
 */
function cyberchimps_pro_header_sections() {
    $new_section[][4] = array(
        'id'      => 'cyberchimps_custom_css_section',
        'label'   => __( 'Custom CSS', 'cyberchimps_elements' ),
        'heading' => 'cyberchimps_design_heading'
    );
    $new_section[][4] = array(
        'id'      => 'cyberchimps_header_details_section',
        'label'   => __( 'Contact Element', 'cyberchimps_elements' ),
        'heading' => 'cyberchimps_header_heading'
    );
    $new_section[][1] = array(
        'id'      => 'cyberchimps_import_export_section',
        'label'   => __( 'Import / Export', 'cyberchimps_elements' ),
        'heading' => 'cyberchimps_import_export_heading'
    );

    return $new_section;
}

add_filter( 'cyberchimps_pro_header_sections', 'cyberchimps_pro_header_sections' );

function cyberchimps_pro_header_fields() {
    $new_field[][1] = array(
        'name'    => __( 'Custom CSS', 'cyberchimps_elements' ),
        'id'      => 'custom_css',
        'std'     => '',
        'type'    => 'csstextarea',
        'section' => 'cyberchimps_custom_css_section',
        'heading' => 'cyberchimps_design_heading'
    );
    $new_field[][1] = array(
        'name'    => __( 'Details', 'cyberchimps_elements' ),
        'id'      => 'contact_details',
        'std'     => '',
        'type'    => 'textarea',
        'section' => 'cyberchimps_header_details_section',
        'heading' => 'cyberchimps_header_heading'
    );
    $new_field[][2] = array(
        'name'    => __( 'Breadcrumbs', 'cyberchimps_elements' ),
        'id'      => 'single_post_breadcrumbs',
        'type'    => 'toggle',
        'section' => 'cyberchimps_single_post_section',
        'heading' => 'cyberchimps_templates_heading'
    );
    $new_field[][2] = array(
        'name'    => __( 'Breadcrumbs', 'cyberchimps_elements' ),
        'id'      => 'archive_breadcrumbs',
        'type'    => 'toggle',
        'section' => 'cyberchimps_archive_section',
        'heading' => 'cyberchimps_templates_heading'
    );
    $new_field[][4] = array(
        'name'    => __( 'Cyberchimps Link', 'cyberchimps_elements' ),
        'id'      => 'footer_cyberchimps_link',
        'std'     => 1,
        'type'    => 'toggle',
        'section' => 'cyberchimps_footer_section',
        'heading' => 'cyberchimps_footer_heading'
    );
    $new_field[][5] = array(
        'name'    => __( 'Footer Scripts', 'cyberchimps_elements' ),
        'id'      => 'footer_scripts',
        'std'     => '',
        'desc'    => __( 'Please add script tags', 'cyberchimps_elements' ),
        'type'    => 'unfiltered_textarea',
        'section' => 'cyberchimps_footer_section',
        'heading' => 'cyberchimps_footer_heading'
    );
    $new_field[][1] = array(
        'name'    => __( 'Export Settings', 'cyberchimps_elements' ),
        'id'      => 'export_textarea',
        'type'    => 'export',
        'section' => 'cyberchimps_import_export_section',
        'heading' => 'cyberchimps_import_export_heading'
    );
    $new_field[][2] = array(
        'name'    => __( 'Import Settings', 'cyberchimps_elements' ),
        'id'      => 'import_textarea',
        'type'    => 'import',
        'section' => 'cyberchimps_import_export_section',
        'heading' => 'cyberchimps_import_export_heading'
    );

    return $new_field;
}

add_filter( 'cyberchimps_pro_header_fields', 'cyberchimps_pro_header_fields' );

// theme specific typography options
function cyberchimps_typography_sizes( $sizes ) {
    $sizes = array( '8', '9', '10', '12', '14', '16', '20' );

    return $sizes;
}

function cyberchimps_typography_styles( $styles ) {
    $styles = array( 'normal' => 'Normal', 'bold' => 'Bold' );

    return $styles;
}

function cyberchimps_typography_faces( $orig ) {

    $new = array(
        '"Noto Sans", Arial, sans-serif'          => 'Noto Sans',
        '"Imprima", Helvetica, Arial, sans-serif' => 'Imprima'
    );

    $new = array_merge( $new, $orig );

    return $new;
}

function cyberchimps_typography_defaults() {
    $default = array(
        'size'  => '16px',
        'face'  => 'Google Fonts',
        'style' => 'normal',
        'color' => ''
    );

    return $default;
}

function cyberchimps_typography_heading_defaults() {
    $default = array(
        'size'  => '',
        'face'  => 'Google Fonts',
        'style' => '',
        'color' => '',

    );

    return $default;
}

function cyberchimps_typography_google_font_defaults() {    
    return 'Source Sans Pro';
}

function cyberchimps_max_width_default() {    
    return '1180';
}

add_filter( 'cyberchimps_typography_sizes', 'cyberchimps_typography_sizes' );
add_filter( 'cyberchimps_typography_styles', 'cyberchimps_typography_styles' );
add_filter( 'cyberchimps_typography_faces', 'cyberchimps_typography_faces' );
add_filter( 'cyberchimps_typography_defaults', 'cyberchimps_typography_defaults' );
add_filter( 'cyberchimps_typography_heading_defaults', 'cyberchimps_typography_heading_defaults' );
add_filter( 'cyberchimps_typography_google_default', 'cyberchimps_typography_google_font_defaults','111' );
add_filter( 'cyberchimps_typography_heading_google_default', 'cyberchimps_typography_google_font_defaults','111' );
add_filter( 'max_width_default', 'cyberchimps_max_width_default','111' );

//change cyberchimps featured image to use this new image size
function cyberchimps_featured_image_size() {
	return 'blog-page';
}

add_filter( 'cyberchimps_post_thumbnail_size', 'cyberchimps_featured_image_size' );

/**
 * Adds option for header image
 *
 * @param $original array
 *
 * @return array
 */
function cyberchimps_add_theme_options( $original ) {
    $new_field[][1] = array(
        'name'    => __( 'Header Image', 'finepro' ),
        'id'      => 'header_image',
        'std'     => '',
        'type'    => 'upload',
        'desc'    => __( 'The image used for the header needs to be a large image. We recommend a minimum width of 1000px and a maximum height of 550px', 'finepro' ),
        'std'     => get_template_directory_uri() . '/images/header.jpg',
        'section' => 'cyberchimps_header_options_section',
        'heading' => 'cyberchimps_header_heading'
    );
    $new_fields     = cyberchimps_array_field_organizer( $original, $new_field );

    return $new_fields;
}

add_filter( 'cyberchimps_field_filter', 'cyberchimps_add_theme_options', 10 );

/**
 * Removes unwanted fields
 *
 * @param $orig array field options
 *
 * @return array
 */
function cyberchimps_remove_default_options( $orig ) {

    $remove = array(
        'searchbar'
    );

    $new_options = cyberchimps_remove_options( $orig, $remove );

    return $new_options;
}

add_filter( 'cyberchimps_field_filter', 'cyberchimps_remove_default_options' );

function cyberchimps_header_drag_and_drop_options() {
	$options = array(
		'cyberchimps_logo' => __( 'Logo', 'eclipsepro' )
	);

	return $options;
}

add_filter( 'header_drag_and_drop_options', 'cyberchimps_header_drag_and_drop_options', 50 );

function cyberchimps_header_drag_and_drop_default() {
	$default = array(
		'cyberchimps_logo' => __( 'Logo', 'eclipsepro' )
	);

	return $default;
}

add_filter( 'header_drag_and_drop_default', 'cyberchimps_header_drag_and_drop_default', 50 );


// Additional Fields
function cyberchimps_fp_additional_fields( $fields_list ) {
	$fields_list[] = array(
		'name' => __( 'Header Featured Title', 'cyberchimps_core' ),
		'id' => 'header_featured_title',
		'type' => 'text',
		'section' => 'cyberchimps_header_options_section',
		'heading' => 'cyberchimps_header_heading'
	);
	$fields_list[] = array(
		'name' => __( 'Header Featured Text', 'cyberchimps_core' ),
		'id' => 'header_featured_text',
		'type' => 'textarea',
		'section' => 'cyberchimps_header_options_section',
		'heading' => 'cyberchimps_header_heading'
	);
	$fields_list[] = array(
		'name' => __( 'Header Featured Link', 'cyberchimps_core' ),
		'id' => 'header_featured_link',
		'type' => 'text',
		'section' => 'cyberchimps_header_options_section',
		'heading' => 'cyberchimps_header_heading'
	);
	$fields_list[] = array(
		'name' => __( 'Header Featured Link Text', 'cyberchimps_core' ),
		'id' => 'header_featured_link_text',
		'type' => 'text',
		'section' => 'cyberchimps_header_options_section',
		'heading' => 'cyberchimps_header_heading'
	);
	return $fields_list;
}

add_filter( 'cyberchimps_field_list', 'cyberchimps_fp_additional_fields', 20, 1 );



/* Removed default functions on hooks and added new function on hooks */

function cyberchimps_fp_set_actions() {
	remove_action( 'boxes', 'cyberchimps_boxes_render_display' );
	add_action( 'boxes', 'cyberchimps_fp_boxes_render_display' );
	
	/* Removed default pagination and added pagination */
	remove_action( 'cyberchimps_after_container', array( CyberChimpsPagination::instance(), 'render_display' ) );
	add_action( 'cyberchimps_after_container', 'cybershimps_nav' );
}
add_action( 'init', 'cyberchimps_fp_set_actions' );


/* Boxes element Markup Changes */

function cyberchimps_fp_boxes_render_display() {

	// Intialize box counter
	$box_counter = 1;
	$box_id_counter = 1;

	// Set template directory uri
	$template_directory = get_template_directory_uri();

	// Get options for boxes.
	if ( is_page() ) {
		$customcategory = get_post_meta( get_the_ID(), 'boxes_category', true );
		$boxes_per_row = get_post_meta( get_the_ID(), 'boxes_per_row', true );
	} else {
		$customcategory = cyberchimps_get_option( 'boxes_category', '' );
		$boxes_per_row = cyberchimps_get_option( 'boxes_per_row', '' );
	}

	// Decide span width of boxes according to number of boxes per row.
	if ( $boxes_per_row == 2 ) {
		$boxes_span = 'span6';
	} else {
		if ( $boxes_per_row == 3 ) {
			$boxes_span = 'span4';
		}
	}
	if ( $boxes_per_row == 4 ) {
		$boxes_span = 'span3';
	}

	// Custom box query
	$args = array(
		'numberposts' => -1,
		'offset' => 0,
		'boxes_categories' => $customcategory,
		'orderby' => 'post_date',
		'order' => 'ASC',
		'post_type' => 'boxes',
		'post_status' => 'publish',
		'suppress_filters' => false
	);
	$boxes = get_posts( $args );
				?>
		<div id="boxes_container">
			<div class="boxes row-fluid">
				<?php
				if ( $boxes && $customcategory != '' ):
					foreach ( $boxes as $box ):
						$box_read_more_text = '';

						// Break after desired number of boxes displayed
						if ( $box_counter > $boxes_per_row ) {
							echo '</div><div class="boxes row-fluid">';
							$box_counter = 1;
						}

						// Get the image of the box
						$box_image = get_post_meta( $box->ID, 'cyberchimps_box_image', true );

						// Get the URL of the box
						$box_url = get_post_meta( $box->ID, 'cyberchimps_box_url', true );

						// Get the toggle to link the total box.
						$box_total_link = get_post_meta( $box->ID, 'cyberchimps_box_total_link', true );

						// Get the toggle to link the total box.
						$box_read_more_text = get_post_meta( $box->ID, 'cyberchimps_box_readmore_text', true );

						// Get the text of the box
						$box_text = get_post_meta( $box->ID, 'cyberchimps_box_text', true );
				?>

						<div id="box<?php echo $box_id_counter ?>" class="box <?php echo $boxes_span; ?>">
							<?php if ( $box_url != '' && ! $box_total_link ): ?>
								<a href="<?php echo $box_url; ?>" class="box-link">
								<?php endif; ?>
								<h2 class="box-widget-title"><?php echo $box->post_title; ?></h2>
								<?php if ( $box_url != '' && ! $box_total_link ): ?>
								</a>
							<?php endif; ?>

							<?php if ( $box_url != '' && $box_total_link ): ?>
									<a href="<?php echo $box_url; ?>">
							<?php endif; ?>

										<?php if ( $box_image != '' ): ?>
												<p class="box-image-container"><img class="box-image" src="<?php echo $box_image; ?>"/></p>
										<?php endif; ?>

										<p><?php echo $box_text; ?></p>

							<?php if ( $box_url != '' && $box_total_link ): ?>
									</a>
							<?php endif; ?>
							<?php if ( $box_url != '' && ! $box_total_link && ! empty( $box_read_more_text ) ) { ?>
									<a href="<?php echo $box_url; ?>" title="<?php echo apply_filters( 'box_redmore_text', $box_read_more_text ); ?>" >
										<?php echo apply_filters( 'cyberchimps_boxes_readmore', $box_read_more_text ); ?>
									</a>
							<?php } ?>
						</div><!--end box1-->

						<?php
						$box_counter ++;
						$box_id_counter ++;
					endforeach;
				else:
						?>
						<div class="box span4">
							<a href="http://cyberchimps.com" class="box-link">
								<img class="box-image" src="<?php echo $template_directory; ?><?php echo apply_filters( 'cyberchimps_box1_image', '/elements/lib/images/boxes/slidericon.png' ); ?>"
									 alt="CyberChimps Slider"/>
							</a>

							<h2 class="box-widget-title"><?php printf( __( '%1$s Slider', 'cyberchimps_elements' ), cyberchimps_options_help_header() ); ?></h2>

							<p><?php printf( __( 'The New Touch Friendly %1$s Slider now responds to any mobile touch device.', 'cyberchimps_elements' ), cyberchimps_options_help_header() ); ?></p>
						</div><!--end box1-->

						<div class="box span4">
							<a href="http://cyberchimps.com" class="box-link">
								<img class="box-image" src="<?php echo $template_directory; ?><?php echo apply_filters( 'cyberchimps_box2_image', '/elements/lib/images/boxes/blueprint.png' ); ?>"
									 alt="CyberChimps Blueprint"/>
							</a>

							<h2 class="box-widget-title"><?php _e( 'Responsive Design', 'cyberchimps_elements' ); ?></h2>

							<p><?php printf( __( 'With %1$s and touch friendly responsive design you can now control your website on any device.', 'cyberchimps_elements' ), cyberchimps_options_help_header() ); ?></p>
						</div><!--end box3-->

						<div class="box span4">
							<a href="http://cyberchimps.com" class="box-link">
								<img class="box-image" src="<?php echo $template_directory; ?><?php echo apply_filters( 'cyberchimps_box3_image', '/elements/lib/images/boxes/docs.png' ); ?>"
									 alt="CyberChimps Help"/>
							</a>

							<h2 class="box-widget-title"><?php _e( 'Excellent Support', 'cyberchimps_elements' ); ?></h2>

							<p><?php _e( 'Need help? Read the instructions and please visit our dedicated Pro Support Forum.', 'cyberchimps_elements' ); ?></p>
						</div><!--end box4-->

				<?php 
				endif;
				?>
			</div>
			<!-- end boxes -->
		</div><!-- end row-fluid -->
	<?php
}


/* Added default wordpress navigation Previous post and Next post*/
function cybershimps_nav( $html_id ) {
	global $wp_query;

	$html_id = esc_attr( $html_id );

	if ( $wp_query->max_num_pages > 1 ) :
		?>
		<nav id="navigation-container" class="navigation row-fluid" role="navigation">
			<?php if ( get_next_posts_link() ) { ?>
					<div class="nav-previous span6 pull-left"><span class="meta-nav">&larr;</span> <?php next_posts_link( __( ' Previous posts', 'finepro' ) ); ?></div>
			<?php } ?>
			<?php if ( get_previous_posts_link() ) { ?>
					<div class="nav-next span6 pull-right"><?php previous_posts_link( __( 'Newer posts', 'finepro' ) ); ?><span class="meta-nav">&rarr;</span></div>
			<?php } ?>
		</nav><!-- #<?php echo $html_id; ?> .navigation -->
	<?php
	endif;
}


/* Removed separator for post meta*/
add_filter('cyberchimps_entry_meta_sep','cyberchimps_fp_sep');
function cyberchimps_fp_sep(){
	return '';	
}


/* Added theme specific options in customizer */
   
function cyberchimps_fp_customize_register( $wp_customize ) {	 
	
	/* Blog Section Title and Description */ 
	         
	$wp_customize->add_setting( 'cyberchimps_options[header_featured_title]', array(
		 'default' => '',
		 'type' => 'option',
		 'sanitize_callback' => 'cyberchimps_text_sanitization'
	 ) );	   
	$wp_customize->add_control( 'header_featured_title', array(
		 'label' => __( 'Header Featured Title', 'cyberchimps_core' ),
		 'section' => 'cyberchimps_header_section',
		 'settings' => 'cyberchimps_options[header_featured_title]',
		 'type' => 'text'
	 ) );


	$wp_customize->add_setting( 'cyberchimps_options[header_featured_text]', array(
		 'default' => 'false',
		 'type' => 'option',
		 'sanitize_callback' => 'cyberchimps_text_sanitization'
	 ) );

	$wp_customize->add_control( 'header_featured_text', array(
		 'label' => __( 'Header Featured Text', 'cyberchimps_core' ),
		 'section' => 'cyberchimps_header_section',
		 'settings' => 'cyberchimps_options[header_featured_text]',
		 'type' => 'textarea'
	 ) );

	   
	$wp_customize->add_setting( 'cyberchimps_options[header_featured_link]', array(
		 'default' => 'false',
		 'type' => 'option',
		 'sanitize_callback' => 'cyberchimps_text_sanitization'
	 ) );

	$wp_customize->add_control( 'header_featured_link', array(
		 'label' => __( 'Header Featured Link', 'cyberchimps_core' ),
		 'section' => 'cyberchimps_header_section',
		 'settings' => 'cyberchimps_options[header_featured_link]',
		 'type' => 'text'
	 ) );
	
	
	$wp_customize->add_setting( 'cyberchimps_options[header_featured_link_text]', array(
		 'default' => 'false',
		 'type' => 'option',
		 'sanitize_callback' => 'cyberchimps_text_sanitization'
	 ) );

	$wp_customize->add_control( 'header_featured_link_text', array(
		 'label' => __( 'Header Featured Link Text', 'cyberchimps_core' ),
		 'section' => 'cyberchimps_header_section',
		 'settings' => 'cyberchimps_options[header_featured_link_text]',
		 'type' => 'text'
	 ) );

}
add_action( 'customize_register', 'cyberchimps_fp_customize_register', 50 );

/* BEGIN  Added by Swapnil - on 19-Oct 2016 for adding new feature for menu coloer change */

add_action( 'customize_register', 'finepro_add_custmozier_field', 20 );
function finepro_add_custmozier_field( $wp_customize ) {

$wp_customize->remove_control('custom_css');
$wp_customize->add_setting( 'cyberchimps_options[menu_background_colorpicker]', array(
        'default' => '',
        'type' => 'option',
        'sanitize_callback' => 'cyberchimps_text_sanitization'
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'menu_background_colorpicker', array(
        'label' => __( 'Menu Background Color', 'finepro' ),
        'section' => 'cyberchimps_design_section',
        'settings' => 'cyberchimps_options[menu_background_colorpicker]',
    ) ) );


$wp_customize->add_setting( 'cyberchimps_options[menu_hover_colorpicker]', array(
        'default' => '',
        'type' => 'option',
        'sanitize_callback' => 'cyberchimps_text_sanitization'
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'menu_hover_colorpicker', array(
        'label' => __( 'Menu Hover Color', 'finepro' ),
        'section' => 'cyberchimps_design_section',
        'settings' => 'cyberchimps_options[menu_hover_colorpicker]',
    ) ) );

$wp_customize->add_setting( 'cyberchimps_options[menu_text_colorpicker]', array(
        'default' => '',
        'type' => 'option',
        'sanitize_callback' => 'cyberchimps_text_sanitization'
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'menu_text_colorpicker', array(
        'label' => __( 'Menu Text Color', 'finepro' ),
        'section' => 'cyberchimps_design_section',
        'settings' => 'cyberchimps_options[menu_text_colorpicker]',
    ) ) );

if ( 'pro' == cyberchimps_theme_check() ) {
        $wp_customize->add_setting( 'cyberchimps_options[custom_css]', array(
            'default' => '',
            'type' => 'option',
            'sanitize_callback' => 'cyberchimps_sanitize_textarea'
        ) );

        // Content area
        $wp_customize->add_control( new Cyberchimps_Form( $wp_customize, 'custom_css', array(
            'section' => 'cyberchimps_design_section',
            'settings' => 'cyberchimps_options[custom_css]',
            'type' => 'textarea'
        ) ) );
    }
}


add_filter( 'cyberchimps_field_list', 'finepro_add_field' , 30 , 1 );
function finepro_add_field($fields_list){
$fields_list[] = array(
		'name'    => __( 'Menu Background Color', 'finepro' ),
		'desc'    => __( 'Select menu background color', 'finepro' ),
		'id'      => 'menu_background_colorpicker',
		'std'     => '',
		'type'    => 'color',
		'section' => 'cyberchimps_custom_colors_section',
		'heading' => 'cyberchimps_design_heading'
	);

$fields_list[] = array(
		'name'    => __( 'Menu Hover Color', 'finepro' ),
		'desc'    => __( 'Select menu hover color', 'finepro' ),
		'id'      => 'menu_hover_colorpicker',
		'std'     => '',
		'type'    => 'color',
		'section' => 'cyberchimps_custom_colors_section',
		'heading' => 'cyberchimps_design_heading'
	);

$fields_list[] = array(
		'name'    => __( 'Menu Text Color', 'finepro' ),
		'desc'    => __( 'Select color for menu text', 'finepro' ),
		'id'      => 'menu_text_colorpicker',
		'std'     => '',
		'type'    => 'color',
		'section' => 'cyberchimps_custom_colors_section',
		'heading' => 'cyberchimps_design_heading'
	);

return $fields_list;

}

add_action( 'wp_head', 'finepro_css_styles', 50 );
function finepro_css_styles(){
	$menu_background = cyberchimps_get_option( 'menu_background_colorpicker' );
	$menu_text = cyberchimps_get_option( 'menu_text_colorpicker' );
	$menu_hover = cyberchimps_get_option( 'menu_hover_colorpicker' );
?>
	<style type="text/css" media="all">
		<?php if ( !empty( $menu_background ) ) : ?>
			.main-navigation .navbar-inner {
			background-color: <?php echo $menu_background; ?>;
			}

			#header_nav_container .row-fluid {
			background-color: <?php echo $menu_background; ?>;
			}
		<?php endif; ?>

		<?php if ( !empty( $menu_hover ) ) : ?>
			.main-navigation .navbar-inner div > ul > li > a:hover {
			background-color: <?php echo $menu_hover; ?>;
			}
			header#cc-header.row-fluid {
			background-color: <?php echo $menu_hover; ?>;
			}
		<?php endif; ?>

		<?php if ( !empty( $menu_text ) ) : ?>
			.main-navigation .nav > li > a, .main-navigation .nav > li > a:hover {
			color: <?php echo $menu_text; ?>;
			}

		<?php endif; ?>
	</style>
<?php	
}

/* END  Added by Swapnil - on 19-Oct 2016 for adding new feature for menu coloer change */
