<?php
/**
 * Title: Header template.
 *
 * Description: Defines header content.
 *
 * Please do not edit this file. This file is part of the Cyber Chimps Framework and all modifications
 * should be made in a child theme.
 *
 * @category Cyber Chimps Framework
 * @package  Framework
 * @since    1.0
 * @author   CyberChimps
 * @license  http://www.opensource.org/licenses/gpl-license.php GPL v3.0 (or later)
 * @link     http://www.cyberchimps.com/
 */
?>
<!DOCTYPE html>
<!--[if lt IE 7]>
<html class="ie ie6 lte9 lte8 lte7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 7]>
<html class="ie ie7 lte9 lte8 lte7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8 lte9 lte8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 9]>
<html class="ie ie9" <?php language_attributes(); ?>> 
<![endif]-->
<!--[if gt IE 9]>  <html <?php language_attributes(); ?>> <![endif]-->
<!--[if !IE]><!--> 
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>" />
	<meta name="viewport" content="initial-scale=1.0; maximum-scale=3.0; width=device-width" />
	
	<title><?php wp_title(''); ?></title>
	
	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
	
	<!-- IE6-8 support of HTML5 elements -->
	<!--[if lt IE 9]>
		<script src="<?php echo get_template_directory_uri(); ?>/inc/js/html5.js" type="text/javascript"></script>
	<![endif]-->
	
	<?php wp_head(); ?>

</head>

<body <?php body_class(); ?>>

<div class="full-width-container header-full-width">

<?php $header_image = cyberchimps_get_option( 'header_image', get_template_directory_uri() . '/images/header.jpg' );
      $header_image = ( $header_image != '' ) ? $header_image : get_template_directory_uri() . '/images/header.jpg'; ?>

	<img class="header-image" src="<?php echo esc_url( $header_image ); ?>" alt="Image" />
	

<div class="header-container">

  <div class="container">
    
  <?php do_action('cyberchimps_before_wrapper'); ?>
  
    <div class="container-fluid">
    
      <div id="header_nav_container">
      
        <div class="row-fluid">
        
			<div class="span3">
				<?php do_action( 'cyberchimps_header' ); ?>
          </div><!-- span3 -->
          <div class="span7">
			  <?php do_action('cyberchimps_before_navigation'); ?>
          
            <nav id="navigation" class="row-fluid" role="navigation">
              <div class="main-navigation navbar">
                <div class="navbar-inner">
                  <div class="container">
                  <?php /* hide collapsing menu if not responsive */
                  if( cyberchimps_get_option( 'responsive_design', 'checked' ) ): ?>
                    <div class="nav-collapse collapse">
                    <?php endif; ?>
                    <?php wp_nav_menu( array( 'theme_location'  => 'primary', 'menu_class' => 'nav', 'walker' => new cyberchimps_Walker(), 'fallback_cb' => 'cyberchimps_fallback_menu' ) ); ?>
                    <?php /* hide collapsing menu if not responsive */
                    if( cyberchimps_get_option( 'responsive_design', 'checked' ) ): ?>
                    </div><!-- collapse -->
                  
                  <!-- .btn-navbar is used as the toggle for collapsed navbar content -->
                  <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                  <span class="icon-bar"></span>
                  <span class="icon-bar"></span>
                  <span class="icon-bar"></span>
                  </a>
                  <?php endif; ?>
                  </div><!-- container -->
                </div><!-- .navbar-inner .row-fluid -->
              </div><!-- main-navigation navbar -->
            </nav><!-- #navigation -->
            
          <?php do_action('cyberchimps_after_navigation'); ?>
          </div><!-- span9 -->
		  <div class="span2">
			  <?php cyberchimps_header_social_icons(); ?>
		  </div>
        </div><!-- row fluid -->
      </div><!-- header nav container -->
      
    </div><!-- container-fluid -->
  </div><!-- container -->
  <div class="header-image-featured">
	  <div class="container">
		  <div class="container-fluid">
			  <div id="header-featured-content">
				  <?php
				  if ( is_category() ) {
							$header_title = sprintf( __( 'Category : %s', 'finepro' ), '<span>' . single_cat_title( '', false ) . '</span>' );
							$header_text = category_description();
						} elseif ( is_tag() ) {
							$header_title = sprintf( __( 'Tag : %s', 'finepro' ), '<span>' . single_tag_title( '', false ) . '</span>' );
							$header_text = tag_description();
						} elseif ( is_author() ) {
							/* Queue the first post, that way we know
							 * what author we're dealing with (if that is the case).
							*/
							the_post();
							$header_title = sprintf( __( 'Author Archives: %s', 'finepro' ), '<span class="vcard"><a class="url fn n" href="' . get_author_posts_url( get_the_author_meta( "ID" ) ) . '" title="' . esc_attr( get_the_author() ) . '" rel="me">' . get_the_author() . '</a></span>' );
							/* Since we called the_post() above, we need to
							 * rewind the loop back to the beginning that way
							 * we can run the loop properly, in full.
							 */
							rewind_posts();

						} elseif ( is_day() ) {
							$header_title = sprintf( __( 'Daily Archives: %s', 'finepro' ), '<span>' . get_the_date() . '</span>' );

						} elseif ( is_month() ) {
							$header_title = sprintf( __( 'Monthly Archives: %s', 'finepro' ), '<span>' . get_the_date( 'F Y' ) . '</span>' );

						} elseif ( is_year() ) {
							$header_title = sprintf( __( 'Yearly Archives: %s', 'finepro' ), '<span>' . get_the_date( 'Y' ) . '</span>' );

						} else {
							 $header_title = cyberchimps_get_option( 'header_featured_title' );
				  $header_text = cyberchimps_get_option( 'header_featured_text' );
				  $header_link = cyberchimps_get_option( 'header_featured_link' );
				  $header_link_text = cyberchimps_get_option( 'header_featured_link_text' );
						}
				  
				 
				  ?>
				  <?php if ( ! empty( $header_title ) ) { ?>
					  <h3 class="header-content-title"><?php echo $header_title; ?></h3>
				  <?php } ?>
				  <?php if ( ! empty( $header_text ) ) { ?>
					  <div class="header-content-text"><?php echo $header_text; ?></div>
				  <?php } ?>
				  <?php if ( ! empty( $header_link ) ) { ?>
					  <div class="header-content-link">
						  <a href="<?php echo $header_link; ?>" title="<?php echo $header_link_text; ?>">
								  <?php echo $header_link_text; ?>
							  </a>
					  </div>
				  <?php } ?>
			  </div>
		  </div>
	  </div>
  </div>
</div><!-- header container -->
</div><!--container full width -->
<div class="container">
<div id="wrapper" class="container-fluid">